Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_Event Class Reference

TAO_Notify_Event. More...

`#include <Notify_Event.h>`

Inheritance diagram for TAO_Notify_Event:

[legend]
Collaboration diagram for TAO_Notify_Event:

[legend]
List of all members.

## Public Methods
| TAO_Notify_Event (void)
| The lock for its ref. count. Owns the lock. More...
virtual | ~TAO_Notify_Event ()
virtual CORBA::Boolean | is_special_event_type (void) const=0
| Is this the "special" event type. More...
virtual const TAO_Notify_EventType & | event_type (void) const=0
| Get the event type. More...
virtual TAO_Notify_Event * | clone (void)=0
| We may need to make a copy of the underlying data if it is not owned by us. More...
virtual CORBA::Boolean | do_match (CosNotifyFilter::Filter_ptr filter ACE_ENV_ARG_DECL)=0
| Returns true if the filter matches. More...
virtual void | do_push (CosEventComm::PushConsumer_ptr consumer ACE_ENV_ARG_DECL) const=0
| Push self to <consumer>. More...
virtual void | do_push (CosNotifyComm::StructuredPushConsumer_ptr consumer ACE_ENV_ARG_DECL) const=0
virtual void | do_push (CosNotifyComm::SequencePushConsumer_ptr consumer, const TAO_Notify_QoSAdmin_i &qos_admin, CosNotification::EventBatch &unsent, int flush_queue ACE_ENV_ARG_DECL) const=0
CORBA::Short | event_reliability (void)
| Not implemented. More...
void | event_reliability (CORBA::Short event_reliability)
CORBA::Short | priority (void)
| Get the event priority. More...
void | priority (CORBA::Short priority)
| Set the event priority. More...
TimeBase::UtcT | start_time (void)
| Earliest delivery time. More...
void | start_time (TimeBase::UtcT start_time)
TimeBase::UtcT | stop_time (void)
| Latest absolute expiry time for this event. More...
void | stop_time (TimeBase::UtcT stop_time)
TimeBase::TimeT | timeout (void)
| Relative expiry time. More...
void | timeout (TimeBase::TimeT timeout)
void | _incr_refcnt (void)
void | _decr_refcnt (void)
## Protected Attributes
ACE_Lock * | lock_
| The locking strategy. More...
CORBA::ULong | refcount_
| The reference count. More...
CORBA::Short | event_reliability_
CORBA::Short | priority_
TimeBase::UtcT | start_time_
TimeBase::UtcT | stop_time_
TimeBase::TimeT | timeout_

## Detailed Description

TAO_Notify_Event.

Abstraction for an event This class allows us to treat event types homogenously. Derived types for anys and structured events provide the implementation. This the the "prototype" creational pattern.

## Constructor & Destructor Documentation

TAO_Notify_Event::TAO_Notify_Event | ( | void |  | ) |

| The lock for its ref. count. Owns the lock.

TAO_Notify_Event::~TAO_Notify_Event | ( |  | ) | `[virtual]`

## Member Function Documentation

void TAO_Notify_Event::_decr_refcnt | ( | void |  | ) |

void TAO_Notify_Event::_incr_refcnt | ( | void |  | ) |

virtual TAO_Notify_Event* TAO_Notify_Event::clone | ( | void |  | ) | `[pure virtual]`

| We may need to make a copy of the underlying data if it is not owned by us. Note this behaviour: If this object owns the data, then we *transfer* ownership of the data to the new object otherwise we copy the data for the new object. Reimplemented in TAO_Notify_Any, TAO_Notify_StructuredEvent, and TAO_Notify_StructuredEvents.

virtual CORBA::Boolean TAO_Notify_Event::do_match | ( | CosNotifyFilter::Filter_ptr filter | ACE_ENV_ARG_DECL | ) | `[pure virtual]`

| Returns true if the filter matches. Reimplemented in TAO_Notify_Any, TAO_Notify_StructuredEvent, and TAO_Notify_StructuredEvents.

virtual void TAO_Notify_Event::do_push | ( | CosNotifyComm::SequencePushConsumer_ptr | consumer,
|  | const TAO_Notify_QoSAdmin_i & | qos_admin,
|  | CosNotification::EventBatch & | unsent,
|  | int | flush_queue
| ) | const`[pure virtual]`

| Reimplemented in TAO_Notify_Any, TAO_Notify_StructuredEvent, and TAO_Notify_StructuredEvents.

virtual void TAO_Notify_Event::do_push | ( | CosNotifyComm::StructuredPushConsumer_ptr consumer | ACE_ENV_ARG_DECL | ) | const`[pure virtual]`

| Reimplemented in TAO_Notify_Any, TAO_Notify_StructuredEvent, and TAO_Notify_StructuredEvents.

virtual void TAO_Notify_Event::do_push | ( | CosEventComm::PushConsumer_ptr consumer | ACE_ENV_ARG_DECL | ) | const`[pure virtual]`

| Push self to <consumer>. Reimplemented in TAO_Notify_Any, TAO_Notify_StructuredEvent, and TAO_Notify_StructuredEvents.

void TAO_Notify_Event::event_reliability | ( | CORBA::Short | event_reliability | ) |

CORBA::Short TAO_Notify_Event::event_reliability | ( | void |  | ) |

| Not implemented.

virtual const TAO_Notify_EventType& TAO_Notify_Event::event_type | ( | void |  | ) | const`[pure virtual]`

| Get the event type. Reimplemented in TAO_Notify_Any, TAO_Notify_StructuredEvent, and TAO_Notify_StructuredEvents.

virtual CORBA::Boolean TAO_Notify_Event::is_special_event_type | ( | void |  | ) | const`[pure virtual]`

| Is this the "special" event type. Reimplemented in TAO_Notify_Any, TAO_Notify_StructuredEvent, and TAO_Notify_StructuredEvents.

void TAO_Notify_Event::priority | ( | CORBA::Short | priority | ) |

| Set the event priority.

CORBA::Short TAO_Notify_Event::priority | ( | void |  | ) |

| Get the event priority.

void TAO_Notify_Event::start_time | ( | TimeBase::UtcT | start_time | ) |

TimeBase::UtcT TAO_Notify_Event::start_time | ( | void |  | ) |

| Earliest delivery time.

void TAO_Notify_Event::stop_time | ( | TimeBase::UtcT | stop_time | ) |

TimeBase::UtcT TAO_Notify_Event::stop_time | ( | void |  | ) |

| Latest absolute expiry time for this event.

void TAO_Notify_Event::timeout | ( | TimeBase::TimeT | timeout | ) |

TimeBase::TimeT TAO_Notify_Event::timeout | ( | void |  | ) |

| Relative expiry time.

## Member Data Documentation

CORBA::Short TAO_Notify_Event::event_reliability_`[protected]`

ACE_Lock* TAO_Notify_Event::lock_`[protected]`

| The locking strategy.

CORBA::Short TAO_Notify_Event::priority_`[protected]`

CORBA::ULong TAO_Notify_Event::refcount_`[protected]`

| The reference count.

TimeBase::UtcT TAO_Notify_Event::start_time_`[protected]`

TimeBase::UtcT TAO_Notify_Event::stop_time_`[protected]`

TimeBase::TimeT TAO_Notify_Event::timeout_`[protected]`

The documentation for this class was generated from the following files:

- Notify_Event.h
- Notify_Event.cpp